{ ... }:
let
  serviceTemplate = rest: {
    host_name = "eban.bzh";
    use = "external-web-service";
    contacts = "eban";
    contact_groups = "null";
    check_interval = "15";

    servicegroups = "webstatus-resources";
    _webstatus_namespace = "eban";
  } // rest;
in
{
  activatedPlugins = [ "http" ];
  contact = {
    eban = {
      use = "generic-contact";
      host_notification_commands = "notify-host-eban-url";
      service_notification_commands = "notify-service-eban-url";
    };
  };
  host = {
    "eban.bzh" = {
      alias = "eban.bzh";
      address = "eban.bzh";
      use = "linux-server";
      hostgroups = "webstatus-hosts";
      contacts = "eban";
      contact_groups = "null";
      _webstatus_name = "Eban";
      _webstatus_vhost = "status.eban.bzh";
      _webstatus_namespace = "eban";
    };
  };
  service = [
    (serviceTemplate {
      service_description = "Eban website is up and running";
      check_command = ["check_https" "eban.bzh" "/" "<title>"];
      _webstatus_name = "Main Website";
      _webstatus_url = "https://eban.bzh/";
    })
    (serviceTemplate {
      service_description = "Eban blog is up and running";
      check_command = ["check_https" "blog.eban.bzh" "/" "<title>"];
      _webstatus_name = "Blog";
      _webstatus_url = "https://blog.eban.bzh/";
    })
    (serviceTemplate {
      service_description = "Eban gitea is up and running";
      check_command = ["check_https" "git.eban.bzh" "/" "<title>"];
      _webstatus_name = "Git";
      _webstatus_url = "https://git.eban.bzh/";
    })
    (serviceTemplate {
      service_description = "Eban Bitwarden is up and running";
      check_command = ["check_https" "bitwarden.eban.bzh" "/" "<title"];

      _webstatus_name = "Bitwarden";
      _webstatus_url = "https://bitwarden.eban.bzh/";
    })
    (serviceTemplate {
      service_description = "I Learned website is up and running";
      check_command = [ "check_https" "ilearned.eu.org" "/" "<title" ];

      _webstatus_name = "I Learned website";
      _webstatus_url = "https://ilearned.eu.org/";
    })
    (serviceTemplate {
      service_description = "I Learned gitea is up and running";
      check_command = [ "check_https" "git.ilearned.eu.org" "/" "<title" ];

      _webstatus_name = "I Learned Git";
      _webstatus_url = "https://git.ilearned.eu.org/";
    })
  ];
}
